#!/bin/bash

find /var/db/safesquid/ssl/certs -type f  -name ".*"  > /tmp/safesquid/.CERTCHECK
while read -r EXPIREDCERT; do
    if openssl x509 -checkend 86400 -noout -in "${EXPIREDCERT}" > /dev/null
    [ $? -ne 0 ] ; then
    rm "${EXPIREDCERT}"
    #echo "${EXPIREDCERT} deleted"
    fi
done <  /tmp/safesquid/.CERTCHECK

exit 0